package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.ZJSY;
import com.sa.ibiz.demo.demo.service.dto.ZJSYSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[ZJSY] 服务对象接口
 */
public interface ZJSYService extends IService<ZJSY>{

	boolean remove(ZJSY et);
	boolean create(ZJSY et);
	boolean getDraft(ZJSY et);
		ZJSY get(ZJSY et);
	boolean update(ZJSY et);
	boolean checkKey(ZJSY et);
    List<ZJSY> listDefault(ZJSYSearchFilter filter) ;
	Page<ZJSY> searchDefault(ZJSYSearchFilter filter);
	/**	 实体[ZJSY] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }